import '../../../utils/index.mjs';
import { rowKey, columns, dataType, fixedDataType, expandKeys, classType, requiredNumber } from './common.mjs';
import { tableV2RowProps } from './row.mjs';
import { tableV2HeaderProps } from './header.mjs';
import { tableV2GridProps } from './grid.mjs';
import { buildProps, definePropType } from '../../../utils/vue/props.mjs';

const tableV2Props = buildProps({
  cache: tableV2GridProps.cache,
  estimatedRowHeight: tableV2RowProps.estimatedRowHeight,
  rowKey,
  cellProps: {
    type: definePropType([Object, Function])
  },
  headerClass: {
    type: definePropType([
      String,
      Function
    ])
  },
  headerProps: {
    type: definePropType([
      Object,
      Function
    ])
  },
  headerCellProps: {
    type: definePropType([
      Object,
      Function
    ])
  },
  headerHeight: tableV2HeaderProps.headerHeight,
  footerHeight: {
    type: Number,
    default: 0
  },
  rowClass: {
    type: definePropType([String, Function])
  },
  rowProps: {
    type: definePropType([Object, Function])
  },
  rowHeight: Number,
  columns,
  data: dataType,
  fixedData: fixedDataType,
  expandColumnKey: tableV2RowProps.expandColumnKey,
  expandedRowKeys: expandKeys,
  defaultExpandedRowKeys: expandKeys,
  class: classType,
  disabled: Boolean,
  fixed: Boolean,
  style: {
    type: definePropType([String, Array, Object])
  },
  width: requiredNumber,
  height: Number,
  maxHeight: Number,
  sortBy: {
    type: definePropType(Object),
    default: () => ({})
  },
  onColumnSort: {
    type: definePropType(Function)
  },
  onExpandedRowsChange: Function,
  onRowExpand: Function,
  onScroll: tableV2GridProps.onScroll,
  rowEventHandlers: tableV2RowProps.rowEventHandlers
});

export { tableV2Props };
//# sourceMappingURL=table.mjs.map
