import type { ExtractPropTypes, StyleValue } from 'vue';
import type { Column, ColumnCommonParams, RowCommonParams, SortOrder } from './types';
/**
 * Param types
 */
export declare type ColumnSortParams<T> = {
    column: Column<T>;
    key: KeyType;
    order: SortOrder;
};
/**
 * Renderer/Getter types
 */
export declare type ExtraCellPropGetter<T> = (params: ColumnCommonParams<T> & RowCommonParams<T>) => any;
export declare type ExtractHeaderPropGetter<T> = (params: {
    columns: Column<T>[];
    headerIndex: number;
}) => any;
export declare type ExtractHeaderCellPropGetter<T> = (params: ColumnCommonParams<T> & {
    headerIndex: number;
}) => any;
export declare type ExtractRowPropGetter<T> = (params: {
    columns: Column<T>[];
} & RowCommonParams<T>) => any;
export declare type HeaderClassNameGetter<T> = (params: {
    columns: Column<T>[];
    headerIndex: number;
}) => string;
export declare type RowClassNameGetter<T> = (params: {
    columns: Column<T>[];
} & RowCommonParams<T>) => string;
/**
 * Handler types
 */
export declare type ColumnSortHandler<T> = (params: ColumnSortParams<T>) => void;
export declare const tableV2Props: {
    readonly cache: import("element-pe/es/utils").BuildPropReturn<NumberConstructor, 2, false, never, never>;
    readonly estimatedRowHeight: import("element-pe/es/utils").BuildPropReturn<NumberConstructor, never, false, never, never>;
    readonly rowKey: import("element-pe/es/utils").BuildPropReturn<import("element-pe/es/utils").PropWrapper<import("./types").KeyType>, "id", unknown, unknown, unknown>;
    readonly cellProps: import("element-pe/es/utils").BuildPropReturn<import("element-pe/es/utils").PropWrapper<any>, unknown, unknown, unknown, unknown>;
    readonly headerClass: import("element-pe/es/utils").BuildPropReturn<import("element-pe/es/utils").PropWrapper<string | HeaderClassNameGetter<any>>, unknown, unknown, unknown, unknown>;
    readonly headerProps: import("element-pe/es/utils").BuildPropReturn<import("element-pe/es/utils").PropWrapper<any>, unknown, unknown, unknown, unknown>;
    readonly headerCellProps: import("element-pe/es/utils").BuildPropReturn<import("element-pe/es/utils").PropWrapper<any>, unknown, unknown, unknown, unknown>;
    readonly headerHeight: import("element-pe/es/utils").BuildPropReturn<import("element-pe/es/utils").PropWrapper<number | number[]>, 50, unknown, unknown, unknown>;
    readonly footerHeight: import("element-pe/es/utils").BuildPropReturn<NumberConstructor, 0, unknown, unknown, unknown>;
    readonly rowClass: import("element-pe/es/utils").BuildPropReturn<import("element-pe/es/utils").PropWrapper<string | RowClassNameGetter<any>>, unknown, unknown, unknown, unknown>;
    readonly rowProps: import("element-pe/es/utils").BuildPropReturn<import("element-pe/es/utils").PropWrapper<any>, unknown, unknown, unknown, unknown>;
    readonly rowHeight: NumberConstructor;
    readonly columns: import("element-pe/es/utils").BuildPropReturn<import("element-pe/es/utils").PropWrapper<{
        [key: string]: any;
        key: import("./types").KeyType;
        dataKey?: string | undefined;
        dataGetter?: import("./types").DataGetter<any> | undefined;
        align?: import("./types").Alignment | undefined;
        className?: any;
        fixed?: true | import("./types").FixedDirection | undefined;
        title?: string | undefined;
        hidden?: boolean | undefined;
        maxWidth?: number | undefined;
        minWidth?: number | undefined;
        resizable?: boolean | undefined;
        style?: import("vue").CSSProperties | undefined;
        sortable?: boolean | undefined;
        width: number;
        cellRenderer?: import("./types").CellRenderer<any> | undefined;
        headerRenderer?: import("./types").HeaderRenderer<any> | undefined;
    }[]>, unknown, true, unknown, unknown>;
    readonly data: import("element-pe/es/utils").BuildPropReturn<import("element-pe/es/utils").PropWrapper<any[]>, unknown, true, unknown, unknown>;
    readonly fixedData: import("element-pe/es/utils").BuildPropReturn<import("element-pe/es/utils").PropWrapper<any[]>, unknown, unknown, unknown, unknown>;
    readonly expandColumnKey: StringConstructor;
    readonly expandedRowKeys: import("element-pe/es/utils").BuildPropReturn<import("element-pe/es/utils").PropWrapper<import("./types").KeyType[]>, () => never[], unknown, unknown, unknown>;
    readonly defaultExpandedRowKeys: import("element-pe/es/utils").BuildPropReturn<import("element-pe/es/utils").PropWrapper<import("./types").KeyType[]>, () => never[], unknown, unknown, unknown>;
    readonly class: StringConstructor;
    readonly disabled: BooleanConstructor;
    readonly fixed: BooleanConstructor;
    readonly style: import("element-pe/es/utils").BuildPropReturn<import("element-pe/es/utils").PropWrapper<StyleValue>, unknown, unknown, unknown, unknown>;
    readonly width: import("element-pe/es/utils").BuildPropReturn<NumberConstructor, unknown, true, unknown, unknown>;
    readonly height: NumberConstructor;
    readonly maxHeight: NumberConstructor;
    readonly sortBy: import("element-pe/es/utils").BuildPropReturn<import("element-pe/es/utils").PropWrapper<{
        key: KeyType;
        order: readonly ["asc", "desc"];
    }>, () => {
        key: KeyType;
        order: readonly ["asc", "desc"];
    }, unknown, unknown, unknown>;
    readonly onColumnSort: import("element-pe/es/utils").BuildPropReturn<import("element-pe/es/utils").PropWrapper<ColumnSortParams<any>>, unknown, unknown, unknown, unknown>;
    readonly onExpandedRowsChange: FunctionConstructor;
    readonly onRowExpand: FunctionConstructor;
    readonly onScroll: import("element-pe/es/utils").BuildPropReturn<import("element-pe/es/utils").PropWrapper<(...args: any[]) => void>, unknown, unknown, unknown, unknown>;
    readonly rowEventHandlers: import("element-pe/es/utils").BuildPropReturn<import("element-pe/es/utils").PropWrapper<import("./row").RowEventHandlers<any>>, unknown, unknown, unknown, unknown>;
};
export declare type TableV2Props = ExtractPropTypes<typeof tableV2Props>;
